Skip to main content
GET
/
emails
/
notification-preference
/
{user_id}
List notification preferences
curl --request GET \
  --url https://api.stack-auth.com/api/v1/emails/notification-preference/{user_id}
{
  "items": [
    {
      "notification_category_id": "<string>",
      "notification_category_name": "<string>",
      "enabled": true,
      "can_disable": true
    }
  ],
  "pagination": {
    "next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
  }
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

user_id
string

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

Response

200 - application/json

Successful response

items
object[]
required
pagination
object